Subject: Re: [PATCH v27 0/2] status: add status.compareBranches config for multiple branch comparisons

From: Harald Nordgren <[email-masked]>
Date: Thu, 22 Jan 2026 20:22:38 +0100

> Using a string list like this is quadratic. It probably doesn't matter
> too much here since we wouldn't expect the list of configured branches
> to be very long, though. But a strset is probably the better tool, like
> the diff below (note that its "add" can be used as a single operation to
> insert and check).
> 
> I don't know if it's worth re-rolling for this or not. I doubt anybody
> would hit it in practice, but I'd be more concerned about people
> auditing for accidentally-quadratic uses of string_list and stumbling
> upon it.

Sounds like a good change. Very nice to have insert-and-check as a single
operation!

I'll update it after passing CI on GitHub -- I'm running CI from two
separate GitHub pull requests, because one has your memory leak fix on top
to allow the leak tests to not fail. 🤗

Harald